%define	distversion	%(. /etc/os-release 2>/dev/null ; echo $VERSION)

Summary:	PLD Linux prelogin message and identification file with logo
Summary(de.UTF-8):	PLD Linux Systemidentifikationsdatei mit logo
Summary(pl.UTF-8):	Plik z logiem identyfikujący system PLD Linux, wyświetlany przed zalogowaniem
Name:		issue-logo
Version:	3.0
Release:	8
License:	GPL
Group:		Base
BuildRequires:	pld-release >= 3.0
%requires_eq	pld-release
Provides:	issue = %{version}-%{release}
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-fancy < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux prelogin message and identification file with logo.

%description -l de.UTF-8
PLD Linux Systemidentifikationsdatei mit logo.

%description -l pl.UTF-8
Plik z logiem identyfikujący system PLD Linux,
wyświetlany przed zalogowaniem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue <<EOF
  _
 / )     PLD Linux %{distversion} \m, \r
/ /       Welcome to \n
 ( -.      \u user(s)
 \\\\   \\\\
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
  _
 / )     PLD Linux %{distversion} %m, %r
/ /       Welcome to %h
 ( -.
 \\\\   \\\\
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Sun Jan 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-logo.git;a=log;h=master

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 7f0019a
- release 8 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 3962edd
- release 7 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 600b36c
- release 6 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> 7f4ea1f
- release 5 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> d8ff594
- release 4 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> eae1e5f
- versioned P:issue
- rel 3

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 33fc38e
- fixed version, only use /etc/os-release for generating issue file

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 2c0c72a
- finally fixed the case when file is unreadable

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> a093024
- more fixing getting distversion

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 698066a
- fix getting distversion

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> f51aeba
- {pld,os}-release moved to separate package, update BRs accordingly
- all version/name data taken out from /etc/os-release at build time
- proper summary/description
- rel 2

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> c28fd9c
- Use canonical short url for BUG_REPORT_URL

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 23d2186
- Conflicts tag need a release

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 746000a
- Added BUG_REPORT_URL to /etc/os-release

* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> c0fd914
- Change version to 3.0 and add snap bcond

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> 5c47aa1
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Wed Aug 08 2007 Patryk Zawadzki <patrys@room-303.com> ed040d8
- add conflicts where affected
- add P/O issue-package
- rel up

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> f6d7a6c
- provide issue
- drop obsoletes

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 74d0432
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b8fa68b
- converted to UTF-8

